    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.beans.IndexedPropertyDescriptor

    java.lang.Object
       |
       +----java.beans.FeatureDescriptor
               |
               +----java.beans.PropertyDescriptor
                       |
                       +----java.beans.IndexedPropertyDescriptor

public class IndexedPropertyDescriptor
extends PropertyDescriptor

An IndexedPropertyDescriptor describes a property that acts like an array and has an indexed read and/or indexed write method to access specific elements of the array.

An indexed property may also provide simple non-indexed read and write methods. If these are present, they read and write arrays of the type returned by the indexed read method.

##

IndexedPropertyDescriptor(String, Class)
  This constructor constructs an IndexedPropertyDescriptor for a property that follows the standard Java conventions by having getFoo and setFoo accessor methods, for both indexed access and array access.
IndexedPropertyDescriptor(String, Class, String, String, String, String)
  This constructor takes the name of a simple property, and method names for reading and writing the property, both indexed and non-indexed.
IndexedPropertyDescriptor(String, Method, Method, Method, Method)
  This constructor takes the name of a simple property, and Method objects for reading and writing the property.

##

getIndexedPropertyType()
getIndexedReadMethod()
getIndexedWriteMethod()

##

IndexedPropertyDescriptor

     public IndexedPropertyDescriptor(String propertyName,
                                      Class beanClass) throws IntrospectionException

  This constructor constructs an IndexedPropertyDescriptor for a property that follows the standard Java conventions by having getFoo and setFoo accessor methods, for both indexed access and array access.

  Thus if the argument name is "fred", it will assume that there is an indexed reader method "getFred", a non-indexed (array) reader method also called "getFred", an indexed writer method "setFred", and finally a non-indexed writer method "setFred".

  Parameters:
    propertyName - The programmatic name of the property.
    beanClass - The Class object for the target bean.
  Throws: IntrospectionException
    if an exception occurs during introspection.

IndexedPropertyDescriptor

     public IndexedPropertyDescriptor(String propertyName,
                                      Class beanClass,
                                      String getterName,
                                      String setterName,
                                      String indexedGetterName,
                                      String indexedSetterName) throws IntrospectionException

  This constructor takes the name of a simple property, and method names for reading and writing the property, both indexed and non-indexed.

  Parameters:
    propertyName - The programmatic name of the property.
    beanClass - The Class object for the target bean.
    getterName - The name of the method used for reading the property values as an array. May be null if the property is write-only or must be indexed.
    setterName - The name of the method used for writing the property values as an array. May be null if the property is read-only or must be indexed.
    indexedGetterName - The name of the method used for reading an indexed property value. May be null if the property is write-only.
    indexedSetterName - The name of the method used for writing an indexed property value. May be null if the property is read-only.
  Throws: IntrospectionException
    if an exception occurs during introspection.

IndexedPropertyDescriptor

     public IndexedPropertyDescriptor(String propertyName,
                                      Method getter,
                                      Method setter,
                                      Method indexedGetter,
                                      Method indexedSetter) throws IntrospectionException

  This constructor takes the name of a simple property, and Method objects for reading and writing the property.

  Parameters:
    propertyName - The programmatic name of the property.
    getter - The method used for reading the property values as an array. May be null if the property is write-only or must be indexed.
    setter - The method used for writing the property values as an array. May be null if the property is read-only or must be indexed.
    indexedGetter - The method used for reading an indexed property value. May be null if the property is write-only.
    indexedSetter - The method used for writing an indexed property value. May be null if the property is read-only.
  Throws: IntrospectionException
    if an exception occurs during introspection.

##

getIndexedReadMethod

     public Method getIndexedReadMethod()

  Returns:
    The method that should be used to read an indexed property value. May return null if the property isn't indexed or is write-only.

getIndexedWriteMethod

     public Method getIndexedWriteMethod()

  Returns:
    The method that should be used to write an indexed property value. May return null if the property isn't indexed or is read-only.

getIndexedPropertyType

     public Class getIndexedPropertyType()

  Returns:
    The Java Class for the indexed properties type. Note that the Class may describe a primitive Java type such as "int".

    This is the type that will be returned by the indexedReadMethod.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.